import java.io.FileReader;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.Scanner;


public class Main {
 public static void main(String[] args) throws Exception
 {
	 Scanner in=new Scanner(new FileReader("D.in"));
	 String x=in.next(); 
	 String y=in.next();
	 String z=in.next();
	 
	 BigInteger n=new BigInteger(x);
	 BigInteger a=new BigInteger(y);
	 BigInteger b=new BigInteger(z);
	 n=n.subtract(a);
	 
	 
	 n=n.add(b);
	
	 in.close();
	 PrintWriter out=new PrintWriter(new FileWriter("D.out"));
     out.println(n.toString());
	 out.close();
	 
	 
 }
}
